CIN Verification — Company Details from MCA
Verify a CIN and get company name, registration date, status, directors, and registered address from the MCA database.
curl -X GET "https://production.deepvue.tech/v1/verification/mca/cin?id_number=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/verification/mca/cin?id_number=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/verification/mca/cin?id_number=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/verification/mca/cin?id_number=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/verification/mca/cin?id_number=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"code": 200,
"timestamp": 1738236700074,
"transaction_id": "ed0b4ef3-4768-47fa-99c4-4da7e2eea871",
"data": {
"company_master_data": {
"company_category": "Company limited by shares",
"email_id": "tataind@tata.com",
"class_of_company": "Public",
"date_of_last_agm": "25/06/2024",
"registered_address": "TATA INDUSTRIES LTD BOMBAY HOUSE 24 HOMI MODY STREET MUMBAI Maharashtra India 400001",
"registration_number": "004403",
"paid_up_capital(rs)": "10795460200",
"whether_listed_or_not": "Unlisted",
"suspended_at_stock_exchange": "-",
"cin": "U44003MH1945PLC004403",
"company_subcategory": "Non-government company",
"authorised_capital(rs)": "11600000000",
"company_status(for_efiling)": "Active",
"roc_code": "ROC Mumbai",
"date_of_balance_sheet": "31/03/2024",
"date_of_incorporation": "07/04/1945",
"company_name": "TATA INDUSTRIES LIMITED",
"active_compliance": "ACTIVE Compliant",
"main_division_of_business_activity_to_be_carried_out_in_india": "",
"previous_firm/_company_details,_if_applicable": "",
"number_of_designated_partners": "",
"total_obligation_of_contribution": "0",
"description_of_main_division": "",
"number_of_partners": "",
"rd_region": "Western Region",
"balance_sheets": [],
"annual_returns": []
},
"charges": [],
"directors/signatory_details": [
{
"end_date": "-",
"din/pan": "00028428",
"designation": "Director",
"begin_date": "12/12/2016",
"name": "FAROKH NARIMAN SUBEDAR"
}
]
}
}
{
"code": 200,
"timestamp": 1738307808841,
"transaction_id": "9a8877b4-a086-46ef-a1de-e7cfc16ff654",
"data": {
"llp_master_data": {
"llpin": "AAD-1355",
"email_id": "shreyconsultants@rediffmail.com",
"registered_address": "30, ASHIRWAD TOWER, G.E. ROAD Raipur RAIPUR Chattisgarh India 492001",
"roc_code": "ROC Chhattisgarh",
"number_of_designated_partners": "2",
"description_of_main_division": "Trading",
"date_of_incorporation": "01/01/2015",
"total_obligation_of_contribution": "784700",
"llp_name": "SHRISTI BARTER LLP",
"llp_status": "Active",
"main_division_of_business_activity_to_be_carried_out_in_india": "52",
"previous_firm/_company_details,_if_applicable": "",
"number_of_partners": "2",
"llp_strike_off/_amalgamated_date": "",
"status_under_cirp": "-",
"rd_region": "North Western Region",
"balance_sheets": [],
"annual_returns": []
},
"charges": [],
"directors/signatory_details": [
{
"end_date": "-",
"din/pan": "02096321",
"designation": "Designated Partner",
"begin_date": "01/01/2015",
"name": "RAJESH KUMAR AGRAWAL"
}
]
}
}
{
"code": 200,
"timestamp": 1738237009131,
"transaction_id": "fee3ffe1-7fbb-4a1f-9e49-0e1d644773c1",
"message": "Entered CIN/LLPIN/FLLPIN/FCRN is not found. Please enter valid details."
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"detail": [
{
"loc": [
"query",
"id_number"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
{
"detail": "Internal Server Error"
}
/v1/verification/mca/cin
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
Overview
This API enables retrieval of verification information linked to a company's Corporate Identification Number (CIN). You can quickly access important details and validate the authenticity of a company based on its unique identification number.
The CIN Verification API is part of the broader MCA APIs, which provide a set of APIs that help fetch MCA's Director Master Data and Company Master Data. The API streamlines corporate entity verification by retrieving:
- Company master data (name, registration details, capital information, compliance status)
- Director and signatory information (names, designations, appointment dates)
- Charges associated with the entity
- LLP (Limited Liability Partnership) data when applicable
The endpoint accepts CIN, LLPIN, FLLPIN, or FCRN identifiers, returning relevant entity data based on the identifier type provided.
Last updated 4 weeks ago
Built with Documentation.AI